/*
 * Testing a plugin coded as a java source code file, interpreted
 * as a beanshell script.
 * 
 */

package filezilla;


import bsh2java.Plugin;
import bsh2java.log;
import definitions.messages;
import java.io.File;
import utils.is;


/**
 *
 * @author Nuno Brito, 15th of March 2014 in Darmstadt, Germany.
 */
public class FileZilla extends Plugin{

    String title = "FileZilla";
    
    @Override
     public void startup(){
        // add a hook to run a given method when a log message occurs
        addHook(messages.Adding_plugin_Win7PEx86, "processHook");
     }
    
    /**
     * Test method that should run when adding plugins to boot disk project
     */
    void processHook() {
        log.write(is.INFO, "Adding %1", title);
        
        // assign the folders and files that will be used
        File sourceFolder = new File(thisFolder, "files");
        
        // if exist registry settings, add them over the next two lines
        //File sourceRegistry = new File(thisFolder, "settings.reg");
        //winpe.hive.softwareHive.importReg(sourceRegistry);
        
        // copy the files to the new destination
        utils.files.copyFolder(sourceFolder, winpe.targetWimFolder);
    }
    
}
