echo off
rem $Id: sbc_post.cmd,v 1.5 2013/02/28 13:37:19 kha Exp $
rem =====================================================================================
rem 
rem            SESAM POST procedure
rem
rem =====================================================================================
rem
rem Description : This procedure is called from SESAM shortly after backup is finished;
rem               it gives the user a possibility to do some special things after backup
rem               ( restart databases, send messages etc. ).
rem
rem               It is called with 12 parameters from the current SESAM backup :
rem
rem 		   %1 =	Backup source 
rem                %2 = Tape server interface
rem                %3 = SESAM task name
rem                %4 = Number of SESAM drive
rem                %5 = Type of backup C_opy, F_ull, D_ifferential, I_ncremental
rem                %6 = Status of backup ( 1 = ok, 0 = error )
rem                %7 = Message text from backup
rem                %8 = Execution counter ( = number of LIS-file )
rem                %9 = Saveset ID
rem                10 = Label of used media
rem                11 = Name of mediapool
rem                12 = Schedule
rem                13 = Saveset size
rem                14 = sbc start time
rem
rem                Returning status :
rem                 if this procedure ran OK
rem                 then echo "STATUS:OK"
rem                 else echo "STATUS:ERROR text"
rem
rem  >>> This is a user programmable procedure <<<
rem
rem
rem =====================================================================================
rem
rem === Print call arguments =====================================
rem
if not x%1 == x set source=%1
if not x%2 == x set tape_server=%2
if not x%3 == x set task=%3
if not x%4 == x set drive_number=%4
if not x%5 == x set backup_type=%5
if not x%6 == x set backup_status=%6
if not x%7 == x set backup_message=%7
if not x%8 == x set exe_cnt=%8
if not x%9 == x set saveset=%9
shift
if not x%9 == x set label=%9
shift
if not x%9 == x set pool=%9
shift
if not x%9 == x set schedule=%9
shift
if not x%9 == x set saveset_size=%9
shift
if not x%9 == x set start_time=%9

echo source         = %source%
echo tape_server    = %tape_server%
echo task           = %task%
echo drive_number   = %drive_number%
echo backup_type    = %backup_type%
echo exe_cnt        = %exe_cnt%
echo saveset        = %saveset%
echo label          = %label%
echo pool           = %pool%
echo schedule       = %schedule%
echo backup_status  = %backup_status%
echo backup_message = %backup_message%
echo saveset_size   = %saveset_size%
echo start_time     = %start_time%

rem === Please insert your specific actions here =====================================

rem echo STATUS:ERROR {message}
echo STATUS:OK
exit
