# $Id: sbc_post.ps1,v 1.3 2013/02/28 13:37:19 kha Exp $
# =====================================================================================
# 
#            sesam POST procedure
#
# =====================================================================================
#
# Description : This procedure is called from sesam shortly after backup is finished;
#               it gives the user a possibility to do some special things after backup
#               ( restart databases, send messages etc. ).
#
#               It is called with 12 parameters from the current sesam backup :
#
# 		   		 $args[0] =	Backup source 
#                $args[1] = Tape server interface
#                $args[2] = SESAM task name
#                $args[3] = Number of SESAM drive
#                $args[4] = Type of backup C_opy, F_ull, D_ifferential, I_ncremental
#                $args[5] = Status of backup ( 1 = ok, 0 = error )
#                $args[6] = Message text from backup
#                $args[7] = Execution counter ( = number of LIS-file )
#                $args[8] = Saveset ID
#                $args[9] = Label of used media
#                $args[10] = Name of mediapool
#                $args[11] = Schedule
#                $args[12] = Saveset size
#                $args[13] = sbc start time
#
#                Returning status :
#                 if this procedure ran OK
#                 then write "STATUS:OK"
#                 else write "STATUS:ERROR text"
#
#  >>> This is a user programmable procedure <<<
#
#
# =====================================================================================
#
# === Print call arguments =====================================
#

write "sbc_post.ps1 started`n"


$source = $args[0]
$tape_server = $args[1]
$task = $args[2]
$drive_number = $args[3]
$backup_type = $args[4]
$backup_status = $args[5]
$backup_message = $args[6]
$exe_cnt = $args[7]
$saveset= $args[8]
$label = $args[9]
$pool = $args[10]
$schedule = $args[11]
$saveset_size = $args[12]
$start_time = $args[13]



write "source         = $source"
write "tape_server    = $tape_server"
write "task           = $task"
write "drive_number   = $drive_number"
write "backup_type    = $backup_type"
write "exe_cnt        = $exe_cnt"
write "saveset        = $saveset"
write "label          = $label"
write "pool           = $pool"
write "schedule       = $schedule"
write "backup_status  = $backup_status"
write "backup_message = $backup_message"
write "saveset_size   = $saveset_size"
write "start_time     = $start_time"


# Possible return values for $backup_status:
# 0 successful
# 1 warning
# 2 empty lis
# 3 broken during backup
# C broken before data transfer
# X failed




# Definition of function to exit script in case of error

function error_post()
{
	write "`nSTATUS:ERROR Execution of sbc_post failed"
	exit 1
}


$POST_ERROR=0


# Example to check, whether taskname is equal to "pre Test". If not, call function error_post

#if($task -ne "pre-Test"){error_post}



if($POST_ERROR -ne 0){error_post}


write "STATUS:OK"
exit 0
