# $Id: sbc_pre.ps1,v 1.3 2012/05/30 12:54:31 sesam Exp $
# =====================================================================================
# 
#            sesam PRE procedure
#
# =====================================================================================
#
# Description : this procedure is called from sesam shortly before backup is started;
#               it gives the user a possibility to do some special things before backup
#               ( prepare databases, send messages etc. ).
#
#               It is called with 10 parameters from the current sesam backup :
#
# 		  		 $args[0] =	Backup source 
#                $args[1] = Tape server interface
#                $args[2] = SESAM task name
#                $args[3] = Number of SESAM drive
#                $args[4] = Type of backup C_opy, F_ull, D_ifferential, I_ncremental
#                $args[5] = Execution counter ( = number of LIS-file )
#                $args[6] = Saveset ID
#                $args[7] = Label of used media
#                $args[8] = Name of mediapool
#                $args[9] = Schedule
#
#                Returning status :
#                 if this procedure ran OK
#                 then echo "STATUS:OK"
#                 else echo "STATUS:ERROR text"
#
#  >>> This is a user programmable procedure <<<
#
#
# =====================================================================================

# === Print call arguments =====================================


write "sbc_pre.ps1 started`n"

$source = $args[0]
$tape_server = $args[1]
$task = $args[2]
$drive_number = $args[3]
$backup_type = $args[4]
$exe_cnt = $args[5]
$saveset = $args[6]
$label = $args[7]
$pool = $args[8]
$schedule = $args[9]


write "source       = $source"
write "tape_server  = $tape_server"
write "task         = $task"
write "drive_number = $drive_number"
write "backup_type  = $backup_type"
write "exe_cnt      = $exe_cnt"
write "saveset      = $saveset"
write "label        = $label"
write "pool         = $pool"
write "schedule     = $schedule"


# Definition of function to exit script in case of error
function error_pre()
{
	$ERROR_TEXT = "Execution of sbc_pre failed"
	write "`nSTATUS:ERROR $ERROR_TEXT"
	exit 1
}


$PRE_ERROR=0


# Example to check, whether taskname is equal to "pre Test". If not, call function error_post

#if($task -ne "pre-Test"){error_pre}


if($PRE_ERROR -ne 0){error_pre}



write "`nSTATUS:OK"
exit 0
