echo off
rem $Id: sbc_pre_new.cmd,v 1.1 2003/09/22 08:30:48 psl Exp $
rem =====================================================================================
rem 
rem            SESAM PRE procedure
rem
rem =====================================================================================
rem
rem Description : This procedure is called from SESAM shortly before backup is started;
rem               it gives the user a possibility to do some special things before backup
rem               ( prepare databases, send messages etc. ).
rem               This a variant to default PRE procedure, which is used, if in database
rem               table defaults key='prepost_args',value='new' is inserted.
rem
rem               It is called with 10 parameters from the current SESAM backup :
rem
rem 		   %1 =	SESAM task name 
rem                %2 = Backup source
rem                %3 = Tape server interface
rem                %4 = Type of backup C_opy, F_ull, D_ifferential, I_ncremental
rem                %5 = Execution counter ( = number of LIS-file )
rem                %6 = Saveset ID
rem                %7 = Number of SESAM drive
rem                %8 = Label of used media
rem                %9 = Name of mediapool
rem                10 = Schedule
rem
rem                Returning status :
rem                 if this procedure ran OK
rem                 then echo "STATUS:OK"
rem                 else echo "STATUS:ERROR text"
rem
rem  >>> This is a user programmable procedure <<<
rem
rem
rem =====================================================================================

rem === Print call arguments =====================================

echo sbc_pre.cmd started

if not x%1 == x set task=%1
if not x%2 == x set source=%2
if not x%3 == x set tape_server=%3
if not x%4 == x set backup_type=%4
if not x%5 == x set exe_cnt=%5
if not x%6 == x set saveset=%6
if not x%7 == x set drive_number=%7
if not x%8 == x set label=%8
if not x%9 == x set pool=%9
shift
if not x%9 == x set schedule=%9

echo source       = %source%
echo tape_server  = %tape_server%
echo task         = %task%
echo drive_number = %drive_number%
echo backup_type  = %backup_type%
echo exe_cnt      = %exe_cnt%
echo saveset      = %saveset%
echo label        = %label%
echo pool         = %pool%
echo schedule     = %schedule%

set PRE_ERROR=0

rem === please insert here your specific actions before backup ===================


if not %PRE_ERROR% == 0 goto failed

echo STATUS:OK
exit 0

:failed

set ERROR_TEXT="message"

echo STATUS:ERROR %ERROR_TEXT%

exit 1
