echo off
rem $Id: sbc_restore_post.cmd,v 1.1 2003/01/08 14:05:44 PSL Exp $
rem =====================================================================================
rem 
rem            SESAM POST restore procedure
rem
rem =====================================================================================
rem
rem Description : this procedure is called from SESAM shortly after restore is finished;
rem               it gives the user a possibility to do some special things after restore
rem               ( restart databases, send messages etc. ).
rem
rem               It is called with 12 parameters from the current SESAM restore :
rem
rem 		   %1 =	name of restore task ( yyyymmdd_hhmmss )
rem                %2 = mode                 ( o/n overwrite/not overwrite existing files
rem                %3 = label of used media
rem                %4 = type                 ( f/s = full / selective )
rem                %5 = recover tree         ( d/f = deep / flat ) 
rem                %6 = target path
rem                %7 = name of backup task
rem                %8 = date of backup
rem                %9 = saveset of backup
rem                %10 = client from which data was backed up
rem                %11 = Success flag    (0,1,3,X = ok / warning / broken / failed )
rem                %12 = Success message
rem
rem                Returning status :
rem                 if this procedure ran OK
rem                 then echo "STATUS:OK"
rem                 else echo "STATUS:ERROR text"
rem
rem  >>> This is a user programmable procedure <<<
rem
rem
rem =====================================================================================
rem
rem
rem === Ausgabe der Aufrufparameter =====================================
rem === Print call arguments =====================================
rem
if not x%1 == x echo parameter1 = %1
if not x%2 == x echo parameter2 = %2
if not x%3 == x echo parameter3 = %3
if not x%4 == x echo parameter4 = %4
if not x%5 == x echo parameter5 = %5
if not x%6 == x echo parameter6 = %6
if not x%7 == x echo parameter7 = %7
if not x%8 == x echo parameter8 = %8
if not x%9 == x echo parameter9 = %9
shift
if not x%9 == x echo parameter10 = %9
shift
if not x%9 == x echo parameter11 = %9
shift
if not x%9 == x echo parameter12 = %9
set POST_ERROR=0


rem === insert your specific commands below =====================================

rem set ERROR_TEXT "message" in case of error

rem === insert your specific commands above =====================================

rem === success signaling section  =====================================

if not %POST_ERROR% == 0 goto failed

echo STATUS:OK
exit 0

:failed
echo STATUS:ERROR %ERROR_TEXT%
exit 1