echo off
rem $Id: sbc_restore_pre.cmd,v 1.1 2003/01/08 14:05:24 PSL Exp $
rem =====================================================================================
rem 
rem    SESAM PRE restore procedure
rem
rem =====================================================================================
rem
rem Description : this procedure is called from SESAM shortly before restore is started;
rem               it gives the user a possibility to do some special things before restore
rem               ( prepare databases, send messages etc. ).
rem
rem               It is called with 10 parameters from the current SESAM restore task :
rem
rem 		   %1 =	name of restore task ( yyyymmdd_hhmmss )
rem                %2 = mode                 ( o/n overwrite/not overwrite existing files
rem                %3 = label of used media
rem                %4 = type                 ( f/s = full / selective )
rem                %5 = recover tree         ( d/f = deep / flat ) 
rem                %6 = target path
rem                %7 = name of backup task
rem                %8 = date of backup
rem                %9 = saveset of backup
rem                %10 = client from which data was backed up
rem
rem                Returning status :
rem                 if this procedure ran OK
rem                 then echo "STATUS:OK"
rem                 else echo "STATUS:ERROR text"
rem
rem  >>> This is a user programmable procedure <<<
rem
rem
rem =====================================================================================
rem
rem

rem === Ausgabe der Aufrufparameter =====================================
rem === Print call arguments =====================================

if not x%1 == x echo parameter1 = %1
if not x%2 == x echo parameter2 = %2
if not x%3 == x echo parameter3 = %3
if not x%4 == x echo parameter4 = %4
if not x%5 == x echo parameter5 = %5
if not x%6 == x echo parameter6 = %6
if not x%7 == x echo parameter7 = %7
set PRE_ERROR=0

rem === insert your specific commands below =====================================

rem set ERROR_TEXT "message" in case of error

rem === insert your specific commands above =====================================

rem === success signaling section  =====================================

if not %PRE_ERROR% == 0 goto failed

echo STATUS:OK
exit 0

:failed
echo STATUS:ERROR %ERROR_TEXT%
exit 1