# $Id: sm_prof.ps1,v 1.3 2010/10/14 15:13:00 miraculix Exp $

# Set SEP sesam Variables. First part in case of x86 architecture, second part references to x64 architecture

if (Test-Path "HKLM:\SOFTWARE\SEP Elektronik GmbH")
{
	$env:sesam = ((get-itemproperty 'HKLM:\SOFTWARE\SEP Elektronik GmbH\sesam\GLBV\gv_ro_bin')."(default)").Replace("/","\")
	$env:gui = ((get-itemproperty 'HKLM:\SOFTWARE\SEP Elektronik GmbH\sesam\GLBV\gv_ro_gui')."(default)").Replace("/","\")
	$env:binsms = ((get-itemproperty 'HKLM:\SOFTWARE\SEP Elektronik GmbH\sesam\GLBV\gv_ro_sms')."(default)").Replace("/","\")
	$env:bindb = ((get-itemproperty 'HKLM:\SOFTWARE\SEP Elektronik GmbH\sesam\GLBV\gv_ro_db')."(default)").Replace("/","\")
	$env:lgc = ((get-itemproperty 'HKLM:\SOFTWARE\SEP Elektronik GmbH\sesam\GLBV\gv_rw_lgc')."(default)").Replace("/","\")
	$env:sms = ((get-itemproperty 'HKLM:\SOFTWARE\SEP Elektronik GmbH\sesam\GLBV\gv_rw_stpd')."(default)").Replace("/","\")
	$env:lis = ((get-itemproperty 'HKLM:\SOFTWARE\SEP Elektronik GmbH\sesam\GLBV\gv_rw_lis')."(default)").Replace("/","\")
	$env:db = ((get-itemproperty 'HKLM:\SOFTWARE\SEP Elektronik GmbH\sesam\GLBV\gv_rw_db')."(default)").Replace("/","\")
	$env:prot = ((get-itemproperty 'HKLM:\SOFTWARE\SEP Elektronik GmbH\sesam\GLBV\gv_rw_prot')."(default)").Replace("/","\")
	$env:ini = ((get-itemproperty 'HKLM:\SOFTWARE\SEP Elektronik GmbH\sesam\GLBV\gv_rw_ini')."(default)").Replace("/","\")
	$env:work = ((get-itemproperty 'HKLM:\SOFTWARE\SEP Elektronik GmbH\sesam\GLBV\gv_rw_work')."(default)").Replace("/","\")
	$env:statusfile = ((get-itemproperty 'HKLM:\SOFTWARE\SEP Elektronik GmbH\sesam\GLBV\gv_dayfile')."(default)").Replace("/","\")
	$env:gv_dayfile = ((get-itemproperty 'HKLM:\SOFTWARE\SEP Elektronik GmbH\sesam\GLBV\gv_dayfile')."(default)").Replace("/","\")
	$env:gv_prot = ((get-itemproperty 'HKLM:\SOFTWARE\SEP Elektronik GmbH\sesam\GLBV\gv_prot')."(default)").Replace("/","\")
}
else
{
	$env:sesam = ((get-itemproperty 'HKLM:\SOFTWARE\SEP AG\sesam\GLBV\gv_ro_bin')."(default)").Replace("/","\")
	$env:gui = ((get-itemproperty 'HKLM:\SOFTWARE\SEP AG\sesam\GLBV\gv_ro_gui')."(default)").Replace("/","\")
	$env:binsms = ((get-itemproperty 'HKLM:\SOFTWARE\SEP AG\sesam\GLBV\gv_ro_sms')."(default)").Replace("/","\")
	$env:bindb = ((get-itemproperty 'HKLM:\SOFTWARE\SEP AG\sesam\GLBV\gv_ro_db')."(default)").Replace("/","\")
	$env:lgc = ((get-itemproperty 'HKLM:\SOFTWARE\SEP AG\sesam\GLBV\gv_rw_lgc')."(default)").Replace("/","\")
	$env:sms = ((get-itemproperty 'HKLM:\SOFTWARE\SEP AG\sesam\GLBV\gv_rw_stpd')."(default)").Replace("/","\")
	$env:lis = ((get-itemproperty 'HKLM:\SOFTWARE\SEP AG\sesam\GLBV\gv_rw_lis')."(default)").Replace("/","\")
	$env:db = ((get-itemproperty 'HKLM:\SOFTWARE\SEP AG\sesam\GLBV\gv_rw_db')."(default)").Replace("/","\")
	$env:prot = ((get-itemproperty 'HKLM:\SOFTWARE\SEP AG\sesam\GLBV\gv_rw_prot')."(default)").Replace("/","\")
	$env:ini = ((get-itemproperty 'HKLM:\SOFTWARE\SEP AG\sesam\GLBV\gv_rw_ini')."(default)").Replace("/","\")
	$env:work = ((get-itemproperty 'HKLM:\SOFTWARE\SEP AG\sesam\GLBV\gv_rw_work')."(default)").Replace("/","\")
	$env:statusfile = ((get-itemproperty 'HKLM:\SOFTWARE\SEP AG\sesam\GLBV\gv_dayfile')."(default)").Replace("/","\")
	$env:gv_dayfile = ((get-itemproperty 'HKLM:\SOFTWARE\SEP AG\sesam\GLBV\gv_dayfile')."(default)").Replace("/","\")
	$env:gv_prot = ((get-itemproperty 'HKLM:\SOFTWARE\SEP AG\sesam\GLBV\gv_prot')."(default)").Replace("/","\")
}

# Define sesam_db for sql.cmd 
$env:sesam_db = '"'+"$env:db"+"sesam_db.sdb"+'"'

# Definition of functions to enable direct folder switching

function global:sesam {Set-Location $env:sesam}
function global:gui {Set-Location $env:gui}
function global:binsms {Set-Location $env:binsms}
function global:bindb {Set-Location $env:bindb}
function global:lgc {Set-Location $env:lgc}
function global:sms {Set-Location $env:sms}
function global:lis {Set-Location $env:lis}
function global:db {Set-Location $env:db}
function global:prot {Set-Location $env:prot}
function global:ini {Set-Location $env:ini}
function global:work {Set-Location $env:work}



# Definition of functions to show statusfile and drive information

function global:cat_status {Get-Content $env:statusfile}
function global:cat_info {Get-Content $env:work\info\info.dat}


# Adding SEP sesam folders to pathes
$env:Path = "$env:Path;$env:binsms;$env:sesam;$env:gui;$env:bindb"
